### Method

# Gcr CertificateChain add

#### Declaration [src]

    void
    gcr_certificate_chain_add (
      GcrCertificateChain* self,
      GcrCertificate* certificate
    )

#### Description [src]

Add `certificate` to the chain. The order of certificates in the chain are important. The first certificate should be the endpoint certificate, and then come the signers (certificate authorities) each in turn. If a root certificate authority is present, it should come last.

Adding a certificate an already built chain (see gcr_certificate_chain_build()) resets the type of the certificate chain to `GCR_CERTIFICATE_CHAIN_UNKNOWN`.

#### Parameters

`certificate`

  Type: `GcrCertificate`

  A `GcrCertificate` to add to the chain.

  The data is owned by the caller of the method.